/******************************************************************************
* NCSimMessages.h - Holds the messages controller.			      *
*******************************************************************************
* (C) Gershon Elber					                      *
*******************************************************************************
* Written by Gershon Elber, Dec 2006.					      *
******************************************************************************/

#ifndef NCSIM_MESSAGES
#define NCSIM_MESSAGES

#include "wx/textctrl.h"

#include "NCSimDefs.h"        /* Must be included first in all NCSim files. */

class NCSimMessagesClass : public wxTextCtrl
{
    public:
	/* Con/Destructor. */
	NCSimMessagesClass(wxWindow *Parent = NULL,
			   wxWindowID Id = wxID_ANY,
			   const wxString &Value = wxT(""),
			   int Flags = 0);
	~NCSimMessagesClass();

    private:

        DECLARE_EVENT_TABLE()
};

#endif /* NCSIM_MESSAGES */
