/*****************************************************************************
*   Generic Open GL drawing functions, complementing grap_lib.		     *
******************************************************************************
* (C) Gershon Elber, Technion, Israel Institute of Technology                *
******************************************************************************
* Written by:  Gershon Elber			         Ver 0.1, Nov 2006.  *
*****************************************************************************/

#ifndef NCSIM_OPEN_GL_H
#define NCSIM_OPEN_GL_H

void IGSetTranspObj(IrtRType Transparency);
void IGSetColorRGB(int Color[3]);
void IGSetLightSource(IGLightType LightPos,
		      IrtVecType LightColor,
		      int LightIndex);

void IGDrawPoly(IPObjectStruct *PObj);
void IGDrawObject(IPObjectStruct *PObj);

#endif /* NCSIM_OPEN_GL_H */
